<template>
  <button @click="toggleThemeMode" class="btn toggle-theme">
      <i :class="theme === 'dark' ? 'bi bi-moon-fill' : 'bi bi-sun-fill'"></i>
  </button>
</template>

<script>
export default {
  name: 'ThemeModeSwitch',
  data() {
    let currentTheme = localStorage.getItem('theme') || 'light';
    return {
      theme: currentTheme,
    };
  },
  methods: {
    toggleThemeMode() {
      this.theme = this.theme === 'light' ? 'dark' : 'light';
      localStorage.setItem('theme', this.theme);
      document.documentElement.setAttribute('data-bs-theme', this.theme);
    },
  },
  mounted() {
    let currentTheme = localStorage.getItem('theme') || 'light';
    document.documentElement.setAttribute('data-bs-theme', this.theme);
    this.theme = currentTheme;
  },
};
</script>
